#
#   This is a SegGener configuration file for L1 science mode generation
#
L1:DCS-SCIENCE_C02 1 L1:hoft_Science -limit 2048 \
	-comment "L1 Science mode from h(t) DQ flags"
#
L1:DCS-UP_C02 1 L1:hoft_Up -limit 2048 \
	-comment "L1 interferometer Up from h(t) DQ flags"
#
L1:DCS-CALIBRATED_C02 1 L1:hoft_Calibrated -limit 2048 \
	-comment "L1 Calibration OK from h(t) DQ flags"
#
L1:DCS-ANALYSIS_READY_C02 1 L1:hoft_Ready -limit 2048 \
	-comment "L1 Ready for Analysis (Science & Calibrated) from h(t) DQ flags"
#
L1:DCS-INVALID_CALIBRATED_DATA_TST_C02 1 L1:DCS_INVALID_CALIBRATED_DATA_s -limit 2048 \
	-comment "L1 Calibrated data invalid due to some failure"
# Check DCS copy of ODC Master is non zero
L1:DCS-INVALID_CALIBRATED_DATA_THREE_C02 1 L1:DCS_INVALID_CALIBRATED_DATA_THREE_s -limit 2048 -comment "L1 Calibrated data invalid due to some failure based on ODC Master test looking for zeros using bitnor with mask 0xffffffff"
# Flag for picking out when Calibration filters are bad: (bitnand fraction=0 means any sample for which this bit is zero activates the segment for a second)
L1:DCS-CALIB_FILTER_NOT_OK_C02 1 L1:DCS-CALIB_FILTER_NOT_OK_s -limit 2048 -comment "Indicates all times when DCS-CALIB_STATE_VECTOR bit 4 is not one, indicating filter calculations used in hoft generation are not OK."
